unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  CakDir, StdCtrls;

type
  TForm2 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    CakDir1: TCakDir;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CakDir1CArchiveFound(Sender: TObject; Filename: String;
      Filesize: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.Button2Click(Sender: TObject);
begin
        CakDir1.FindStop;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
        CakDir1.FinderOptions.af_sourcedir := Edit3.text;
        CakDir1.FinderOptions.af_arcfilter := Edit1.text;
        CakDir1.FinderOptions.af_targetname.CommaText := edit2.text;
        CakDir1.FinderOptions.af_subdir := true;
        CakDir1.find;
end;

procedure TForm2.CakDir1CArchiveFound(Sender: TObject; Filename: String;
  Filesize: Integer);
begin
        if Extractfilename(filename) = '' then
                memo1.lines.add('Checking...' + filename) else
        if filename = '*COMPLETED*' then
                begin
                memo1.lines.add('Search completed');
                end
                else

        begin
        memo1.lines.add('>' +  filename + '(' + CakDir1.sizeinK(filesize) + ')');
        end;
end;

end.
